curl -X POST 'https://crypto-api.yativo.com/api/assets/get-user-assets' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5"
}'
{
"data": [
{
"id": "ast_6615c3c3e55d9ff7bc0a9012",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"account_id": "acc_6615c3b2e55d9ff7bc0a5678",
"asset_id": "67db5f72ebea822c360d568d",
"asset_name": "USD Coin (Solana)",
"asset_short_name": "USDC",
"ticker_name": "USDC_SOL",
"chain": "SOL",
"address": "7xKt3Bm4NZpQhsWn1YvJd2Lr8Pk5Cq9eAw6Fu0GiRHs",
"amount": "0.300000",
"token_type": "token",
"image": "https://assets.coingecko.com/coins/images/6319/large/USD_Coin_icon.png",
"layer_type": null,
"parent_chain": null,
"created_at": "2026-01-13T22:06:33.284Z",
"updated_at": "2026-03-08T10:02:32.849Z"
}
],
"status": true,
"message": "Assets Listed Successfully"
}
Retrieve all wallets and assets belonging to the authenticated user
curl -X POST 'https://crypto-api.yativo.com/api/assets/get-user-assets' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5"
}'
{
"data": [
{
"id": "ast_6615c3c3e55d9ff7bc0a9012",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"account_id": "acc_6615c3b2e55d9ff7bc0a5678",
"asset_id": "67db5f72ebea822c360d568d",
"asset_name": "USD Coin (Solana)",
"asset_short_name": "USDC",
"ticker_name": "USDC_SOL",
"chain": "SOL",
"address": "7xKt3Bm4NZpQhsWn1YvJd2Lr8Pk5Cq9eAw6Fu0GiRHs",
"amount": "0.300000",
"token_type": "token",
"image": "https://assets.coingecko.com/coins/images/6319/large/USD_Coin_icon.png",
"layer_type": null,
"parent_chain": null,
"created_at": "2026-01-13T22:06:33.284Z",
"updated_at": "2026-03-08T10:02:32.849Z"
}
],
"status": true,
"message": "Assets Listed Successfully"
}
Bearer YOUR_ACCESS_TOKENcurl -X POST 'https://crypto-api.yativo.com/api/assets/get-user-assets' \
-H 'Authorization: Bearer YOUR_ACCESS_TOKEN' \
-H 'Content-Type: application/json' \
-d '{
"account_id": "acc_01HX9KZMB3F7VNQP8R2WDGT4E5"
}'
{
"data": [
{
"id": "ast_6615c3c3e55d9ff7bc0a9012",
"user_id": "usr_6615c3a1e55d9ff7bc0a1234",
"account_id": "acc_6615c3b2e55d9ff7bc0a5678",
"asset_id": "67db5f72ebea822c360d568d",
"asset_name": "USD Coin (Solana)",
"asset_short_name": "USDC",
"ticker_name": "USDC_SOL",
"chain": "SOL",
"address": "7xKt3Bm4NZpQhsWn1YvJd2Lr8Pk5Cq9eAw6Fu0GiRHs",
"amount": "0.300000",
"token_type": "token",
"image": "https://assets.coingecko.com/coins/images/6319/large/USD_Coin_icon.png",
"layer_type": null,
"parent_chain": null,
"created_at": "2026-01-13T22:06:33.284Z",
"updated_at": "2026-03-08T10:02:32.849Z"
}
],
"status": true,
"message": "Assets Listed Successfully"
}